import { ApolloProviderProviderConsumer } from "../../utils/provider";
import { Declarations } from './declarations';
export class ApolloProviderComponent {
    constructor() {
        this.declarations = Declarations;
    }
    render() {
        return (h(ApolloProviderProviderConsumer.Provider, { state: { client: this.client } },
            h("slot", null)));
    }
    static get is() { return "apollo-provider"; }
    static get properties() { return {
        "client": {
            "type": "Any",
            "attr": "client",
            "mutable": true
        }
    }; }
}
