import { h } from '../stencil-apollo.core.js';

export { a as ApolloProviderProviderConsumer, b as ApolloProvider } from './chunk-5191507d.js';

const Declarations = 'DECLARATIONS';

const Query = ({ query, variables, options, }, children) => h("apollo-query", { query: query, variables: variables, options: options, renderer: children[0] });

const Mutation = ({ mutation, variables, options }, children) => h("apollo-mutation", { mutation: mutation, variables: variables, options: options, renderer: children[0] });

const Subscription = ({ subscription, variables, options, }, children) => h("apollo-subscription", { subscription: subscription, variables: variables, options: options, renderer: children[0] });

export { Declarations, Query, Mutation, Subscription };
