import '../../stencil.core';
import { EventEmitter } from "../../stencil.core";
import { DocumentNode } from "graphql";
import { QueryResult, QueryRenderer } from "../../utils/types";
import { ApolloClient, WatchQueryOptions } from "apollo-client";
export declare class ApolloQueryComponent {
    query: DocumentNode;
    renderer: QueryRenderer<any>;
    variables: any;
    options: WatchQueryOptions;
    result: QueryResult<any>;
    client: ApolloClient<any>;
    el: HTMLApolloQueryElement;
    readyEventEmitter: EventEmitter<QueryResult<any>>;
    resultEventEmitter: EventEmitter<QueryResult<any>>;
    private _subscription;
    componentWillLoad(): void;
    onPropsChange(): void;
    componentDidUnload(): void;
    startSubscription(): void;
    stopSubscription(): void;
    render(): JSX.Element | JSX.Element[];
}
