import '../stencil.core';
import { ApolloClient } from 'apollo-client';
export interface ApolloProviderState<TCacheShape> {
    client: ApolloClient<TCacheShape>;
    children?: any;
}
export declare const ApolloProviderProviderConsumer: {
    Provider: import("../stencil.core").FunctionalComponent<{
        state: ApolloProviderState<any>;
        children?: any;
    }>;
    Consumer: import("../stencil.core").FunctionalComponent<{}>;
    wrapConsumer: (childComponent: any, fieldList: ("client" | "children")[]) => ({ children, ...props }: any) => any;
    injectProps: (childComponent: any, fieldList: ("client" | "children")[]) => void;
};
export declare function ApolloProvider<TCacheShape>({ client }: {
    client: ApolloClient<TCacheShape>;
    children?: JSX.Element | JSX.Element[];
}, children: JSX.Element[]): JSX.Element;
